package com.bonus.canteen.core.order.common.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@TableName("order_photo")
public class OrderPhoto {
   @TableId(
      type = IdType.INPUT
   )
   private String macOrderId;
   private Integer orderPhotoType;
   private String orderPhotoUrl;
   @ApiModelProperty("oss存储状态(1-已上传,2-已删除)")
   private Integer status;
   @DateTimeFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime crtime;
   @DateTimeFormat(
      pattern = "yyyy-MM-dd HH:mm:ss"
   )
   private LocalDateTime uptime;

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public Integer getOrderPhotoType() {
      return this.orderPhotoType;
   }

   public String getOrderPhotoUrl() {
      return this.orderPhotoUrl;
   }

   public Integer getStatus() {
      return this.status;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setOrderPhotoType(final Integer orderPhotoType) {
      this.orderPhotoType = orderPhotoType;
   }

   public void setOrderPhotoUrl(final String orderPhotoUrl) {
      this.orderPhotoUrl = orderPhotoUrl;
   }

   public void setStatus(final Integer status) {
      this.status = status;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
